Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(14)

Issue 2863533003: [EasyUnlock] Serialize and store BeaconSeeds along as cryptohome key metadata. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month, 3 weeks ago by Tim Song
Modified:
1 month, 1 week ago
CC:
chromium-reviews, alemate+watch_chromium.org, achuith+watch_chromium.org, oshima+watch_chromium.org, davemoore+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[EasyUnlock] Serialize and store BeaconSeeds as part of the cryptohome key metadata. For the login flow, we need to be able to use the same BeaconSeeds as those in the user preferences. The BeaconSeeds are refreshed everytime the user logs in or unlocks their Chromebook like the other EasyUnlock metadata. BUG=715594 Review-Url: https://codereview.chromium.org/2863533003 Cr-Commit-Position: refs/heads/master@{#473352} Committed: https://chromium.googlesource.com/chromium/src/+/4fdb40570e2c40ffa318f0131b5cbee4900b964f

Patch Set 1 : [EasyUnlock] Serialize and store BeaconSeeds along as cryptohome key metadata. #

Total comments: 16

Patch Set 2 : fixes #

Total comments: 4

Patch Set 3 : comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+124 lines, -8 lines) Patch
M chrome/browser/chromeos/login/easy_unlock/easy_unlock_create_keys_operation.cc View 1 chunk +3 lines, -0 lines 0 comments Download
M chrome/browser/chromeos/login/easy_unlock/easy_unlock_get_keys_operation.cc View 1 1 chunk +6 lines, -1 line 0 comments Download
M chrome/browser/chromeos/login/easy_unlock/easy_unlock_key_manager.cc View 1 3 chunks +10 lines, -0 lines 0 comments Download
M chrome/browser/chromeos/login/easy_unlock/easy_unlock_types.h View 3 chunks +4 lines, -0 lines 0 comments Download
M chrome/browser/chromeos/login/easy_unlock/easy_unlock_types.cc View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/signin/chrome_proximity_auth_client.cc View 1 1 chunk +8 lines, -1 line 0 comments Download
M chrome/browser/signin/easy_unlock_service_regular.cc View 1 3 chunks +23 lines, -0 lines 0 comments Download
M chrome/browser/signin/easy_unlock_service_signin_chromeos.cc View 1 2 3 chunks +69 lines, -6 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 21 (9 generated)
Tim Song
Hey Gustavo, I have another CL coming that adds the BeaconSeeds to RemoteDevices. However, I ...
1 month, 3 weeks ago (2017-05-04 02:26:46 UTC) #4
Tim Song
1 month, 3 weeks ago (2017-05-04 02:26:53 UTC) #5
Tim Song
Hey Ryan, both Gustavo and Kyle are OOO. Can you take a look at this ...
1 month, 2 weeks ago (2017-05-06 22:53:33 UTC) #7
Ryan Hansberry
https://codereview.chromium.org/2863533003/diff/40001/chrome/browser/chromeos/login/easy_unlock/easy_unlock_get_keys_operation.cc File chrome/browser/chromeos/login/easy_unlock/easy_unlock_get_keys_operation.cc (right): https://codereview.chromium.org/2863533003/diff/40001/chrome/browser/chromeos/login/easy_unlock/easy_unlock_get_keys_operation.cc#newcode134 chrome/browser/chromeos/login/easy_unlock/easy_unlock_get_keys_operation.cc:134: PA_LOG(WARNING) << "Unknown Easy unlock key data entry, name=" ...
1 month, 2 weeks ago (2017-05-09 02:44:08 UTC) #8
Ryan Hansberry
Please also reword the grammar of the first sentence of this CL's description.
1 month, 2 weeks ago (2017-05-09 02:45:08 UTC) #9
Tim Song
Fixed the CL description as well. https://codereview.chromium.org/2863533003/diff/40001/chrome/browser/chromeos/login/easy_unlock/easy_unlock_get_keys_operation.cc File chrome/browser/chromeos/login/easy_unlock/easy_unlock_get_keys_operation.cc (right): https://codereview.chromium.org/2863533003/diff/40001/chrome/browser/chromeos/login/easy_unlock/easy_unlock_get_keys_operation.cc#newcode134 chrome/browser/chromeos/login/easy_unlock/easy_unlock_get_keys_operation.cc:134: PA_LOG(WARNING) << "Unknown ...
1 month, 2 weeks ago (2017-05-10 18:23:27 UTC) #11
Ryan Hansberry
Mostly looks good, but I noticed your previous comment about khorimoto@ disagreeing with the seed ...
1 month, 1 week ago (2017-05-15 15:36:41 UTC) #13
sacomoto
On 2017/05/15 15:36:41, Ryan Hansberry wrote: > Mostly looks good, but I noticed your previous ...
1 month, 1 week ago (2017-05-15 15:47:46 UTC) #14
Tim Song
https://codereview.chromium.org/2863533003/diff/40001/chrome/browser/signin/easy_unlock_service_signin_chromeos.cc File chrome/browser/signin/easy_unlock_service_signin_chromeos.cc (right): https://codereview.chromium.org/2863533003/diff/40001/chrome/browser/signin/easy_unlock_service_signin_chromeos.cc#newcode100 chrome/browser/signin/easy_unlock_service_signin_chromeos.cc:100: std::vector<cryptauth::BeaconSeed> DeserializeBeaconSeeds( On 2017/05/15 15:36:41, Ryan Hansberry wrote: > ...
1 month, 1 week ago (2017-05-17 19:18:07 UTC) #15
Ryan Hansberry
Apologies for the late response. lgtm.
1 month, 1 week ago (2017-05-19 18:13:38 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2863533003/80001
1 month, 1 week ago (2017-05-19 20:53:58 UTC) #18
commit-bot: I haz the power
1 month, 1 week ago (2017-05-19 22:09:54 UTC) #21
Message was sent while issue was closed.
Committed patchset #3 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/4fdb40570e2c40ffa318f0131b5c...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318